#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define		pdir	Package
%define		pnam	Stash-XS
Summary:	Package::Stash::XS - faster and more correct implementation of the Package::Stash API
Summary(pl.UTF-8):	Package::Stash::XS - szybsza i bardziej poprawna implementacja API Package::Stash
Name:		perl-Package-Stash-XS
Version:	0.30
Release:	2%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Package/Package-Stash-XS-%{version}.tar.gz
# Source0-md5:	40ff29b53c91cbc9d5ff5d31cb161c6e
URL:		https://metacpan.org/dist/Package-Stash-XS
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a backend for Package::Stash, which provides the functionality
in a way that's less buggy and much faster. It will be used by default
if it's installed, and should be preferred in all environments with a
compiler.

%description -l pl.UTF-8
Ten moduł jest backendem dla modułu Package::Stash, udostępniającym
jego funkcjonalność w mniej błędny i szybszy sposób. Jest używany jako
domyślny backend jeśli jest zainstalowany i powinien być preferowany
we wszystkich środowiskach z kompilatorem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Package
%dir %{perl_vendorarch}/Package/Stash
%{perl_vendorarch}/Package/Stash/XS.pm
%dir %{perl_vendorarch}/auto/Package
%dir %{perl_vendorarch}/auto/Package/Stash
%dir %{perl_vendorarch}/auto/Package/Stash/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Package/Stash/XS/XS.so
%{_mandir}/man3/Package::Stash::XS.3pm*
%changelog
* Thu May 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Package-Stash-XS.git;a=log;h=master

* Wed Aug 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 491b645
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> dc777f7
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 612279b
- updated to 0.30

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 98a811e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 99df953
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> bfea614
- rebuild with perl 5.32

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 8504392
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 27ecd50
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 0337772
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c6c055
- up to 0.29

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 961838f
- release 6

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b0324dc
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c42bcc8
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 24d6fdc
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9a66386
- release 2 (by relup.sh)

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> d6d29b4
- updated to 0.28

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4c622ff
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1e202fe
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 07a241e
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> af298ab
- removed zero-sized .bs file

